"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-card",
  props: ["title", "backgroundUrl", "styles", "borderHead"],
  setup(__props) {
    const props = __props;
    const slots = common_vendor.useSlots();
    const handleGetRelationNodes = () => {
      let show = slots.default;
      return show;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: props == null ? void 0 : props.title
      }, (props == null ? void 0 : props.title) ? {
        b: common_vendor.t(props == null ? void 0 : props.title),
        c: (props == null ? void 0 : props.borderHead) ? "1rpx solid #eee" : ""
      } : {}, {
        d: handleGetRelationNodes()
      }, handleGetRelationNodes() ? {} : {}, {
        e: props.backgroundUrl ? `url(${props.backgroundUrl || ""})` : "#fff",
        f: common_vendor.s(__props.styles),
        g: common_vendor.o(($event) => _ctx.$emit("click"))
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-card/hs-card.vue"]]);
wx.createComponent(Component);
